Loading...
Searching...
No Matches
Opm::TemperatureCallback< TypeTag > Class Template Reference

Callback class for temperature. More...

`#include <quantitycallbacks.hh>`

## Public Types

using | ResultType = std::remove_const_t<std::remove_reference_t<ResultRawType>>
using | ResultValueType = typename MathToolbox<ResultType>::ValueType

## Public Member Functions

| TemperatureCallback (const ElementContext &elemCtx)
ResultType | operator() (unsigned dofIdx) const
| Return the temperature given the index of a degree of freedom within an element context.

## Detailed Description

template<class TypeTag>
class Opm::TemperatureCallback< TypeTag >

Callback class for temperature.

## Member Function Documentation

## operator()()

template<class TypeTag>

ResultType Opm::TemperatureCallback< TypeTag >::operator() | ( | unsigned | dofIdx | ) | const

inline

Return the temperature given the index of a degree of freedom within an element context.

In this context, we assume that thermal equilibrium applies, i.e. that the temperature of all phases is equal.

The documentation for this class was generated from the following file:

- opm/models/common/quantitycallbacks.hh